Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class FontUnderline

    java.lang.Object
      org.apache.poi.ss.usermodel.FontUnderline

    public class FontUnderline

extends java.lang.Object

the different types of possible underline formatting

Author:
  Gisella Bronzetti

Field Summary
`static FontUnderline` | `DOUBLE` Double-line underlining under each character in the cell.
`static FontUnderline` | `DOUBLE_ACCOUNTING` Double-line accounting underlining under each character in the cell.
`static FontUnderline` | `NONE` No underline.
`static FontUnderline` | `SINGLE` Single-line underlining under each character in the cell.
`static FontUnderline` | `SINGLE_ACCOUNTING` Single-line accounting underlining under each character in the cell.

Method Summary
`byte` | `getByteValue()`
`int` | `getValue()`
`static FontUnderline` | `valueOf(byte value)`
`static FontUnderline` | `valueOf(int value)`
`static FontUnderline[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLE

    public static final FontUnderline SINGLE

  Single-line underlining under each character in the cell. The underline is drawn through the descenders of characters such as g and p..

### DOUBLE

    public static final FontUnderline DOUBLE

  Double-line underlining under each character in the cell. underlines are drawn through the descenders of characters such as g and p.

### SINGLE_ACCOUNTING

    public static final FontUnderline SINGLE_ACCOUNTING

  Single-line accounting underlining under each character in the cell. The underline is drawn under the descenders of characters such as g and p.

### DOUBLE_ACCOUNTING

    public static final FontUnderline DOUBLE_ACCOUNTING

  Double-line accounting underlining under each character in the cell. The underlines are drawn under the descenders of characters such as g and p.

### NONE

    public static final FontUnderline NONE

  No underline.

Method Detail

### values

    public static FontUnderline[] values()

### getValue

    public int getValue()

### getByteValue

    public byte getByteValue()

### valueOf

    public static FontUnderline valueOf(int value)

### valueOf

    public static FontUnderline valueOf(byte value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD